import 'rxjs/add/operator/takeWhile';
import 'rxjs/add/operator/toPromise';
import { Action, Store, Unsubscribe } from 'redux';
import { StateConstructor } from '../state/constructor';
export declare class ReduxTestingStore implements Store<{}> {
    private state;
    setState<S>(state: StateConstructor, value: S): Promise<void>;
    getState(): {};
    subscribe(listener: () => void): Unsubscribe;
    replaceReducer(): void;
    dispatch<T extends Action>(action: T): T;
}
